VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ExportFlagTypes::Info Class Reference

The `ExportFlag.Info` class describes an export flag supported by the server. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetOption ()
| The name of the export flag that is supported by the server.
void | SetOption (string option)
| The name of the export flag that is supported by the server.
vmware.vapi.std.LocalizableMessage | GetDescription ()
| Localizable description of the export flag.
void | SetDescription (vmware.vapi.std.LocalizableMessage description)
| Localizable description of the export flag.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ExportFlag.Info` class describes an export flag supported by the server.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ExportFlagTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::ExportFlagTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::ExportFlagTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::ExportFlagTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::ExportFlagTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::ExportFlagTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::ExportFlagTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.std.LocalizableMessage vmware::vcenter::ovf::ExportFlagTypes::Info::GetDescription | ( |  | ) | `[inline]`

Localizable description of the export flag.

override int vmware::vcenter::ovf::ExportFlagTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::ExportFlagTypes::Info::GetOption | ( |  | ) | `[inline]`

The name of the export flag that is supported by the server.

void vmware::vcenter::ovf::ExportFlagTypes::Info::SetDescription | ( | vmware.vapi.std.LocalizableMessage | description | ) | `[inline]`

Localizable description of the export flag.

void vmware::vcenter::ovf::ExportFlagTypes::Info::SetOption | ( | string | option | ) | `[inline]`

The name of the export flag that is supported by the server.

override string vmware::vcenter::ovf::ExportFlagTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ExportFlagTypes.cs